متصلون الآن  

/v1/community/

Manages Community Related Functions
GET

/v1/community/get_board_about_post_candidates

#
Finds board-local top-level posts that can be selected as the board profile About post.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
boardId int لا 0 ATDiscussionBoards.ID.
forumAlias string لا "" Optional v2 forum alias fallback.
searchFilter string لا "" Search text for board posts by title, body, or author alias.
postID int لا 0 Exact ATDiscussionPosts.ID to preview.
pageSize int لا 8 Maximum candidates to return.
minimumImageMediaCount int لا 2 Minimum attached image-media items required.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_board_about_post_candidates' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'boardId={{boardId}}' \
  --data-urlencode 'forumAlias={{forumAlias}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'minimumImageMediaCount={{minimumImageMediaCount}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_board_about_post_candidates_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.Candidatesarray نعم
$.oneOf[0].allOf[1].Payload.Candidates[]object لا
$.oneOf[0].allOf[1].Payload.Candidates[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].bodyPreviewstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].urlstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].authorAboutPostAuthor نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].aliasstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].avatarEmojistring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].profileUrlstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].idnull نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].aliasnull نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].avatarEmojinull نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].profileUrlnull نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHidden = true نعم
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHiddenUntilinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].boardobject نعم
$.oneOf[0].allOf[1].Payload.Candidates[].board.idinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].board.namestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].board.slugstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].board.typestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].imageMediaCountinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].mediaarray نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[]object لا
$.oneOf[0].allOf[1].Payload.Candidates[].media[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isImageboolean نعم
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isEmbeddedboolean نعم
$.oneOf[0].allOf[1].Payload.Pageobject نعم
$.oneOf[0].allOf[1].Payload.Page.pageSizeinteger نعم
$.oneOf[0].allOf[1].Payload.Page.minimumImageMediaCountinteger نعم
$.oneOf[0].allOf[1].Payload.Page.boardIdinteger نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_board_about_post_candidates",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Candidates": [],
        "Page": {
            "pageSize": 0,
            "minimumImageMediaCount": 0,
            "boardId": 0
        }
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_board_membership

#
Get admission settings, membership, and authorized application/invitation management data.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
boardId int لا 0 Board ID.
offset int لا 0 Member pagination offset.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_board_membership' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'boardId={{boardId}}' \
  --data-urlencode 'offset={{offset}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_board_membership_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payload نعم
$.oneOf[0].allOf[1].Payload.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].enabledboolean نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].accessstring ["Read","ReadWrite"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].isMemberboolean نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].canInviteboolean نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].canManageboolean نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applicationsarray نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Statusstring ["Pending","Approved","Rejected","Cancelled"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ApplicationMessagestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].chatURLstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].aliasstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitationsarray نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Codestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssueSourcestring ["User","Administration"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExemptDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExempt.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExempt.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].InvitePurposestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0]string (application/json) نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0]InviteContext (JSON بعد فك الترميز) نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0]object نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].boardIdinteger لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[0]array لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].* لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[2]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaIDDatabaseInteger لاInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaID.oneOf[0]integer لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaID.oneOf[1]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1]array نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[4][]InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[5].*InviteContextJSONValue لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGrantedDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGranted.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGranted.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource.anyOf[0]string ["ExistingUser","NewSignup"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].urlstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labelsarray نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].idinteger نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].namestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].emojistring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].archivedboolean نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].profilePhotoURLstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].bannerPhotoURLstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].membersarray نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[]object لا
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Statusstring ["Active","Revoked"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Sourcestring ["Invitation","Application"] نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_IDDatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_ID.oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_ID.oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0]DatabaseInteger نعمInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0].oneOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0].oneOf[1]string نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].LastUpdateDatestring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].aliasstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].profileURLstring نعم
$.oneOf[0].allOf[1].Payload.anyOf[1]null نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_board_membership",
    "RequestUserAlias": "example-user",
    "Payload": {
        "enabled": false,
        "access": "Read",
        "isMember": false,
        "canInvite": false,
        "canManage": false,
        "applications": [],
        "invitations": [],
        "members": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_actions

#
Returns every currently executable action button registered for a chat. Action buttons originate in message DatabaseTags or reusable chat actions registered when chats and participants are created. This endpoint reads ATNotificationIntelligentTagsActionButtons so clients do not have to scan message history. Chat-level actions can have zero notification/body IDs.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int لا 0 ATNotificationIntelligentTags.ID of the chat.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_actions' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_actions_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعمRequires chat membership. Reading available actions may create missing report-chat bounty action records.
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actionsarray نعم
$.oneOf[0].allOf[1].Payload.Actions[]object لا
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].NotificationIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonNamestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Namestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].AdditionalTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomInfoIconstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTitlestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmButtonTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].LoadingTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionParameterstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].BackgroundColorstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].TextColorstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Importancestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Clickableboolean نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTagsNotificationDatabaseTags نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_actions",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Actions": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_add_participant_options

#
Returns user alias options that the acting user may add to a chat. Chat hosts only see users who accepted a 1:1 chat with the host. Global community administrators can search all non-deleted users. The write endpoint repeats these checks; this endpoint is only for autocomplete UX.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int لا 0 ATNotificationIntelligentTags.ID of the chat.
searchFilter string لا "" Optional alias filter.
limit int لا 10 Maximum options to return, capped at 50.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_add_participant_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'limit={{limit}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_add_participant_options_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.CanAddParticipants = true نعم
$.oneOf[0].allOf[1].Payload.Modestring ["global_admin","host_accepted_chats",""] نعم
$.oneOf[0].allOf[1].Payload.HostUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.Optionsarray نعم
$.oneOf[0].allOf[1].Payload.Options[]object لا
$.oneOf[0].allOf[1].Payload.Options[].UserIDinteger نعم
$.oneOf[0].allOf[1].Payload.Options[].Aliasstring نعم
$.oneOf[0].allOf[1].Payload.Options[].Avatarstring نعم
$.oneOf[0].allOf[1].Payload.Options[].AccountStatusstring نعم
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate نعم
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Options[].ProfileURLstring نعم
$.oneOf[0].allOf[1].Payload.Options[].identityHiddenboolean لا
$.oneOf[0].allOf[1].Payload.Options[].identityHiddenUntilinteger | null لا
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_add_participant_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "CanAddParticipants": true,
        "Mode": "global_admin",
        "HostUserID": 0,
        "Options": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_message_changes

#
Independently retrieve revisions; never adds work to normal message pagination.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int نعم — Chat ID.
afterRevisionID int لا 0 Last acknowledged cursor, zero on first connection.
limit int لا 100 Page size, capped at 100.
initialize bool لا false Capture a watermark and revalidate the visible page without scanning history.
notificationBodyIDList string لا "" Visible message IDs for initialization, capped at 200.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_message_changes' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'afterRevisionID={{afterRevisionID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'initialize={{initialize}}' \
  --data-urlencode 'notificationBodyIDList={{notificationBodyIDList}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_message_changes_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messagesarray نعم
$.oneOf[0].allOf[1].Payload.Messages[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Subjectstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Bodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Mediaarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].Media[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinksarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].urlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].canonicalUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].hoststring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].siteNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].imageMediaIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].eligibleboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].statestring ["done","eligible","none"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].cachedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].contextstring ["chat","notification"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].endpointstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[0]number نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].liveTranslationSourceEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].receiverLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLocaleCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionStatusstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceContentHashstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].bodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalTitlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalBodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Versioninteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].IsDeletedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].CanEditboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].CanDeleteboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.NextCursorinteger نعم
$.oneOf[0].allOf[1].Payload.HasMoreboolean نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_changes",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Messages": [],
        "NextCursor": 0,
        "HasMore": false
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_message_edit_context

#
Load an author's editable message and attachments during the original 15-minute window. Active bid-selection restrictions also apply to edits, including pending request messages; ErrorReason=active_bid_selection.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int نعم — Chat ID.
notificationBodyID int نعم — Message body ID.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_message_edit_context' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'notificationBodyID={{notificationBodyID}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_message_edit_context_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Versioninteger نعم
$.oneOf[0].allOf[1].Payload.EditDeadline نعم
$.oneOf[0].allOf[1].Payload.EditDeadline.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.EditDeadline.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.ServerTimestring نعم
$.oneOf[0].allOf[1].Payload.editorobject نعم
$.oneOf[0].allOf[1].Payload.editor.format = 1 نعم
$.oneOf[0].allOf[1].Payload.editor.sourcestring نعم
$.oneOf[0].allOf[1].Payload.editor.blocks نعم
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*object لا
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.htmlstring نعم
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.textstring نعم
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.mediaIDsarray نعم
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.mediaIDs[]integer لا
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[1]array نعم
$.oneOf[0].allOf[1].Payload.mediaarray نعم
$.oneOf[0].allOf[1].Payload.media[]object لا
$.oneOf[0].allOf[1].Payload.media[].idinteger نعم
$.oneOf[0].allOf[1].Payload.media[].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.media[].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.media[].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.media[].widthinteger نعم
$.oneOf[0].allOf[1].Payload.media[].heightinteger نعم
$.oneOf[0].allOf[1].Payload.media[].titlestring نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_edit_context",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "NotificationBodyID": 0,
        "Version": 0,
        "EditDeadline": "synthetic-example",
        "ServerTime": "synthetic-example",
        "editor": {
            "format": 1,
            "source": "synthetic-example",
            "blocks": []
        },
        "media": []
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_message_history

#
Read safe message revisions with the same membership/history boundary as the message. Deleted history requires an authorized staff finding or report review context.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int نعم — Chat ID.
notificationBodyID int نعم — Message body ID.
beforeRevisionID int لا 0 Older revision cursor.
limit int لا 20 Page size, capped at 50.
findingID int لا 0 Optional authorized staff finding for this chat.
reportID int لا 0 Optional authorized reviewer report referencing this chat.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_message_history' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'notificationBodyID={{notificationBodyID}}' \
  --data-urlencode 'beforeRevisionID={{beforeRevisionID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'findingID={{findingID}}' \
  --data-urlencode 'reportID={{reportID}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_message_history_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعم
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Versionsarray نعم
$.oneOf[0].allOf[1].Payload.Versions[]object لا
$.oneOf[0].allOf[1].Payload.Versions[].IDinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Versioninteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].CreatedDatestring نعم
$.oneOf[0].allOf[1].Payload.Versions[].ActorUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Operationstring ["original","edit","delete"] نعم
$.oneOf[0].allOf[1].Payload.Versions[].Bodystring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Mediaarray نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[]object لا
$.oneOf[0].allOf[1].Payload.Versions[].Media[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].isImageboolean نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].isEmbeddedboolean نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].kindstring ["image","video","audio","document"] نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].createdDatestring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].filenamestring نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].sizeinteger نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration.anyOf[0]number نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Versions[].Media[].downloadUrlstring نعم
$.oneOf[0].allOf[1].Payload.NextCursor نعم
$.oneOf[0].allOf[1].Payload.NextCursor.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.NextCursor.anyOf[1]null نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_history",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "NotificationBodyID": 0,
        "Versions": [],
        "NextCursor": 0
    }
}
توثيق نقطة النهاية القابل للقراءة آليًا
GET

/v1/community/get_chat_messages

#
Returns the most recent messages for a chat the calling user has access to. Used by the v2 chat dock to populate a chat window on open and to refresh via a 360s offline-recovery poll that runs in parallel with the future websocket. Messages are returned oldest-first so the client can append without reordering. Chat delivery is keyed by ATNotificationsBody.ID so repeated identical message text is still returned as distinct messages. UserToUser and BidChat expose canSend, reasonCode, and reason, including active_bid_selection; history stays readable while messaging is paused. CustomerSurveys contains sending capabilities. Each message's CustomerSurvey contains private request metadata for its original seller/customer, current status, and immutable eventType/actorUserID/eventText. SenderID identifies the event actor even when IsSystemGenerated remains true. Legacy original requests resolve their recorded seller. Answers use /v1/customer_survey/get_request.

المعلمات

الاسمالنوعمطلوبالافتراضيالوصف
chatID int لا 0 ATNotificationIntelligentTags.ID of the chat.
limit int لا 50 Maximum number of messages to return (capped at 200).
offset int لا 0 Pagination offset (0 = newest page).
afterNotificationBodyID int لا 0 If set, returns messages newer than this ATNotificationsBody.ID.
beforeNotificationBodyID int لا 0 If set, returns messages older than this ATNotificationsBody.ID.
includeChatActions bool لا false If true, also returns every currently executable action for the chat.
مثال طلب (cURL)
curl --get \
  'https://ar.appointmenttrader.com/v1/community/get_chat_messages' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'offset={{offset}}' \
  --data-urlencode 'afterNotificationBodyID={{afterNotificationBodyID}}' \
  --data-urlencode 'beforeNotificationBodyID={{beforeNotificationBodyID}}' \
  --data-urlencode 'includeChatActions={{includeChatActions}}'

القيمة المُرجعة

JSON
See the shared response schema and synthetic example.
حقول الاستجابة
الحقلالنوعمطلوبالوصف
$community_get_chat_messages_Response نعم
$.oneOf[0] نعم
$.oneOf[0].allOf[0]object نعم
$.oneOf[0].allOf[0].RequestUserAliasstring نعم
$.oneOf[0].allOf[0].RequestPathstring | null نعم
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" نعم
$.oneOf[0].allOf[0].ResponseCodeinteger نعم
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object نعم
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring لا
$.oneOf[0].allOf[1]object نعم
$.oneOf[0].allOf[1].Payloadobject نعمRequires chat membership. Action DTO preparation may ensure the report-chat bounty actions exist; includeChatActions=false returns Actions=[].
$.oneOf[0].allOf[1].Payload.ChatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Namestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslationobject نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.eligibleboolean نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.statestring ["done","eligible","none"] نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.cachedboolean نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.context = "chat-name" نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.endpointstring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageDetectionStatusstring ["Detected","Pending"] نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageDetectionConfidencenull نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.liveTranslationSourceEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.targetLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.targetLanguageNamestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceContentHashstring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.titlestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.bodystring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.originalTitlestring نعم
$.oneOf[0].allOf[1].Payload.nameTranslation.originalBodystring نعم
$.oneOf[0].allOf[1].Payload.IsHostboolean نعم
$.oneOf[0].allOf[1].Payload.IsMutedboolean نعم
$.oneOf[0].allOf[1].Payload.MutedDate نعم
$.oneOf[0].allOf[1].Payload.MutedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.MutedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.HasMoreboolean نعم
$.oneOf[0].allOf[1].Payload.OldestNotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.NewestNotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Participantsarray نعم
$.oneOf[0].allOf[1].Payload.Participants[]object لا
$.oneOf[0].allOf[1].Payload.Participants[].UserID نعم
$.oneOf[0].allOf[1].Payload.Participants[].UserID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Participants[].UserID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Participants[].Alias نعم
$.oneOf[0].allOf[1].Payload.Participants[].Alias.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Participants[].Alias.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Participants[].Avatar نعم
$.oneOf[0].allOf[1].Payload.Participants[].Avatar.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Participants[].Avatar.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Participants[].identityHiddenboolean لا
$.oneOf[0].allOf[1].Payload.Participants[].identityHiddenUntilinteger | null لا
$.oneOf[0].allOf[1].Payload.Actionsarray نعم
$.oneOf[0].allOf[1].Payload.Actions[]object لا
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].NotificationIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonNamestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Namestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].AdditionalTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomInfoIconstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTitlestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmButtonTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].LoadingTextstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionParameterstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].BackgroundColorstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].TextColorstring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Importancestring نعم
$.oneOf[0].allOf[1].Payload.Actions[].Clickableboolean نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTagsNotificationDatabaseTags نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.CustomerSurveysobject نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.canSendboolean نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.writableboolean نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.customerIDinteger نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.bidIDinteger نعم
$.oneOf[0].allOf[1].Payload.CustomerSurveys.reasonCodestring لا
$.oneOf[0].allOf[1].Payload.CustomerSurveys.reasonstring لا
$.oneOf[0].allOf[1].Payload.CustomerSurveys.otherUserIDinteger لا
$.oneOf[0].allOf[1].Payload.CustomerSurveys.buyerIdentityHiddenboolean لاTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.CustomerSurveys.buyerIdentityHiddenUntilinteger | null لاLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.Messagesarray نعم
$.oneOf[0].allOf[1].Payload.Messages[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderID نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Subjectstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Bodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].DestinationPagestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Mediaarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].Media[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Media[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtonsarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ActionButtonIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].NotificationIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ActionButtonNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Namestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].AdditionalTextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomInfoIconstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmTitlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmTextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmButtonTextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].LoadingTextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomActionstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomActionParameterstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].BackgroundColorstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].TextColorstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Importancestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Clickableboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTagsNotificationDatabaseTags نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[0]null لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[1]string لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[2]number لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[3]boolean لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[4]array لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[5]object لا
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue لا
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].revisioninteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].customerIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].sellerIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].bidIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].transactionIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].statusstring ["sent","in_progress","submitted","cancelled"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].urlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].buyerIdentityHiddenboolean لاTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].buyerIdentityHiddenUntilinteger | null لاLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].eventTypestring ["","sent","submitted","updated","cancelled"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].actorUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].eventTextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Deliveryobject نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.RecipientCountinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipientsarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Statestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTimeDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceiptsarray لا
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LanguageNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SourceLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SourceContentHashstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslatedTitlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslatedBodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SeenContextstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].Modelstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].identityHiddenboolean لا
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].identityHiddenUntilinteger | null لا
$.oneOf[0].allOf[1].Payload.Messages[].Reactions نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].targetTypestring ["post","chat_message"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].targetIdinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].viewerReactionKeystring ["","thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].viewerHasReactedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].totalCountinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].countsobject نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.thumbs_upinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.heartinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.money_with_wingsinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.laughinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.wowinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.sadinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.angryinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recentarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].userIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].usernamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactionKeystring ["thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactionEmojistring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].IsSystemGeneratedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].type = "reaction" نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetType = "chat_message" نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetNotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].actorUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].actionstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].reactionKeystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].reactionEmojistring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetPreviewstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[0]array نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].targetTypestring ["post","chat_message"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].targetIdinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].viewerReactionKeystring ["","thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].viewerHasReactedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].totalCountinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].countsobject نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.thumbs_upinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.heartinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.money_with_wingsinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.laughinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.wowinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.sadinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.angryinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recentarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].userIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].usernamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactionKeystring ["thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactionEmojistring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDateDisplaystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].NotificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].Previewstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].HasMediaboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsUnavailableboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsDeletedboolean لا
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsSystemGeneratedboolean لا
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].eligibleboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].statestring ["done","eligible","none"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].cachedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].contextstring ["chat","notification"] نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].endpointstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[0]number نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].liveTranslationSourceEnabledboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].receiverLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLocaleCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageCodestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionStatusstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceContentHashstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].bodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalTitlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalBodystring نعم
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].Versioninteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].IsDeletedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].CanEditboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].CanDeleteboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinksarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].urlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].canonicalUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].hoststring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].siteNamestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].descriptionstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].imageMediaIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaIDinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplayobject نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.aliasstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarEmojistring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImageUrlstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImageURLstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.labelstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileUrlstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileURLstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.customColorstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.customTextColorstring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarModestring | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.htmlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.idinteger | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.userIDinteger | null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.isRichboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].idinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].thumbUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].mediaUrlstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].mediaTypestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].widthinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].heightinteger نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].titlestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].isImageboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].isEmbeddedboolean نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frameobject نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.positionXPercentnumber نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.positionYPercentnumber نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.zoomPercentnumber نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].backgroundUrlstring لا
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medalsarray نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[]object لا
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[].Namestring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[].URLstring نعم
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.identityHiddenboolean لاAn anonymized author has no profile or follow action.
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.identityHiddenUntilinteger | null لاLatest saved closing timestamp among the author's qualifying open response races, in Unix seconds.
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplayHTMLstring نعم
$.oneOf[0].allOf[1].Payload.UserToUser نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].chatIDinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestingUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].destinationUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageBodyIDinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageCountinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageLimitinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessagesRemaininginteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageCooldownHoursinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageSecondsUntilNextinteger نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherAliasstring نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherAvatarstring نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].reasonCodestring نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].reasonstring نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].statusstring ["accepted","blocked-by-viewer","blocked-by-other","denied","pending"] نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerRolestring ["requester","destination","participant"] نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canSendNextRequestMessageboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerBlockedOtherboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherBlockedViewerboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerMutedOtherboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherMutedViewerboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].recipientAllowsChatRequestsboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canAcceptboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canDenyboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canSendboolean نعم
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.BidChat نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].bidIDinteger نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerUserIDinteger | null نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].sellerUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserIDinteger نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].bidUUIDstring نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias.anyOf[0]string نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].reasonCodestring نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].reasonstring نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt.anyOf[0]string نعمEncoded intelligent tag for the created/opened chat. This legacy GET compatibility operation can create or update a chat request.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiredboolean نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].canSendboolean نعم
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerIdentityHiddenboolean لاTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerIdentityHiddenUntilinteger | null لاLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.HireDirect نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].canHireDirectly = true نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].userIDinteger نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].aliasstring نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].profilePathstring نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0]object نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].canHireDirectly = true نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].userIDinteger نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].aliasstring نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].profilePathstring نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct.anyOf[0]integer نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct.anyOf[1]null نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].canRequestDirectHire = true نعم
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[1]null نعم
$.oneOf[1]object نعم
$.oneOf[1].RequestUserAliasstring نعم
$.oneOf[1].RequestPathstring | null نعم
$.oneOf[1].RequestStatus = "Failed" نعم
$.oneOf[1].ResponseCodeinteger نعم
$.oneOf[1].ResponseMessageAPIResponseMessage نعم
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null نعم
$.oneOf[1].ResponseMessage.oneOf[1]array نعم
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage لا
$.oneOf[1].ResponseMessage.oneOf[2]object نعم
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage لا
$.oneOf[1].RequestImpersonatedByUserAliasstring لا
مثال استجابة
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_messages",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Name": "synthetic-example",
        "nameTranslation": {
            "eligible": false,
            "state": "done",
            "cached": false,
            "context": "chat-name",
            "endpoint": "synthetic-example",
            "chatID": 0,
            "sourceLanguageDetectionStatus": "Detected",
            "sourceLanguageDetectionConfidence": null,
            "liveTranslationSourceEnabled": false,
            "targetLanguageCode": "synthetic-example",
            "targetLanguageName": "synthetic-example",
            "sourceLanguageCode": "synthetic-example",
            "sourceContentHash": "synthetic-example",
            "title": "synthetic-example",
            "body": "synthetic-example",
            "originalTitle": "synthetic-example",
            "originalBody": "synthetic-example"
        },
        "IsHost": false,
        "IsMuted": false,
        "MutedDate": "synthetic-example",
        "HasMore": false,
        "OldestNotificationBodyID": 0,
        "NewestNotificationBodyID": 0,
        "Participants": [],
        "Actions": [],
        "CustomerSurveys": {
            "canSend": false,
            "writable": false,
            "chatID": 0,
            "customerID": 0,
            "bidID": 0
        },
        "Messages": [],
        "UserToUser": {
            "chatID": 0,
            "otherUserID": 0,
            "requestingUserID": 0,
            "destinationUserID": 0,
            "requestMessageBodyID": 0,
            "requestMessageCount": 0,
            "requestMessageLimit": 0,
            "requestMessagesRemaining": 0,
            "requestMessageCooldownHours": 0,
            "requestMessageSecondsUntilNext": 0,
            "otherAlias": "synthetic-example",
            "otherAvatar": "synthetic-example",
            "reasonCode": "synthetic-example",
            "reason": "synthetic-example",
            "status": "accepted",
            "viewerRole": "requester",
            "acceptedDate": "synthetic-example",
            "deniedDate": "synthetic-example",
            "lastRequestDate": "synthetic-example",
            "nextRequestMessageDate": "synthetic-example",
            "canSendNextRequestMessage": false,
            "viewerBlockedOther": false,
            "otherBlockedViewer": false,
            "viewerMutedOther": false,
            "otherMutedViewer": false,
            "recipientAllowsChatRequests": false,
            "canAccept": false,
            "canDeny": false,
            "canSend": false
        },
        "BidChat": {
            "bidID": 900001,
            "buyerUserID": null,
            "sellerUserID": 900002,
            "otherUserID": 900003,
            "bidUUID": "00000000000000000000000000000001",
            "otherUserAlias": null,
            "reasonCode": "synthetic-example",
            "reason": "Synthetic customer privacy fixture.",
            "expiresAt": null,
            "expired": false,
            "canSend": false,
            "buyerIdentityHidden": true,
            "buyerIdentityHiddenUntil": 2100000000
        },
[...]
